gstreamermm: Gst::DiscovererStreamInfo Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gst::DiscovererStreamInfo Class Reference

DiscovererStreamInfo - Base class for information concerning a media stream. More...

Inheritance diagram for Gst::DiscovererStreamInfo:
[legend]
Collaboration diagram for Gst::DiscovererStreamInfo:
[legend]

List of all members.

## Public Member Functions
virtual | ~DiscovererStreamInfo ()
GstDiscovererStreamInfo* | gobj ()
| Provides access to the underlying C GstMiniObject.
const GstDiscovererStreamInfo* | gobj () const
| Provides access to the underlying C GstMiniObject.
GstDiscovererStreamInfo* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Gst::Caps > | get_caps ()
Glib::RefPtr< const Gst::Caps > | get_caps () const
Structure | get_misc () const
Glib::RefPtr < DiscovererStreamInfo > | get_next ()
Glib::RefPtr< const DiscovererStreamInfo > | get_next () const
Glib::RefPtr < DiscovererStreamInfo > | get_previous ()
Glib::RefPtr < DiscovererStreamInfo > | get_previous () const
TagList | get_tags () const
Glib::ustring | get_stream_type_nick () const
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::DiscovererStreamInfo > | wrap (GstDiscovererStreamInfo* object, bool take_copy=false)

## Detailed Description

DiscovererStreamInfo - Base class for information concerning a media stream.

Depending on the stream type, one can find more media-specific information in Gst::DiscovererAudioInfo, Gst::DiscovererVideoInfo, and Gst::DiscovererContainerInfo.

The Gst::DiscovererStreamInfo represents the topology of the stream. Siblings can be iterated over with get_next() and get_previous(). Children (sub-streams) of a stream can be accessed using the Gst::DiscovererContainerInfo API.

As a simple example, if you run Gst::Discoverer on an AVI file with one audio and one video stream, you will get a Gst::DiscovererContainerInfo corresponding to the AVI container, which in turn will have a Gst::DiscovererAudioInfo sub-stream and a Gst::DiscovererVideoInfo sub-stream for the audio and video streams respectively.

## Constructor & Destructor Documentation

virtual Gst::DiscovererStreamInfo::~DiscovererStreamInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<Gst::Caps> Gst::DiscovererStreamInfo::get_caps | ( |  | ) |

Returns:
  The Gst::Caps of the stream. Unref with #gst_caps_unref after usage.

Glib::RefPtr<const Gst::Caps> Gst::DiscovererStreamInfo::get_caps | ( |  | ) | const

Returns:
  The Gst::Caps of the stream. Unref with #gst_caps_unref after usage.

Structure Gst::DiscovererStreamInfo::get_misc | ( |  | ) | const

Returns:
  Additional information regarding the stream (for example codec version, profile, etc..). If you wish to use the Gst::Structure after the life-time of info you will need to copy it.

Glib::RefPtr<const DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_next | ( |  | ) | const

Returns:
  The next Gst::DiscovererStreamInfo in a chain. `0` for final streams. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_next | ( |  | ) |

Returns:
  The next Gst::DiscovererStreamInfo in a chain. `0` for final streams. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_previous | ( |  | ) |

Returns:
  The previous Gst::DiscovererStreamInfo in a chain. `0` for starting points. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_previous | ( |  | ) | const

Returns:
  The previous Gst::DiscovererStreamInfo in a chain. `0` for starting points. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::ustring Gst::DiscovererStreamInfo::get_stream_type_nick | ( |  | ) | const

Returns:
  A human readable name for the stream type of the given info (ex : "audio", "container",...).

TagList Gst::DiscovererStreamInfo::get_tags | ( |  | ) | const

Returns:
  The tags contained in this stream. If you wish to use the tags after the life-time of info you will need to copy them.

GstDiscovererStreamInfo* Gst::DiscovererStreamInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::MiniObject.

Reimplemented in Gst::DiscovererContainerInfo, Gst::DiscovererAudioInfo, and Gst::DiscovererVideoInfo.

const GstDiscovererStreamInfo* Gst::DiscovererStreamInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::MiniObject.

Reimplemented in Gst::DiscovererContainerInfo, Gst::DiscovererAudioInfo, and Gst::DiscovererVideoInfo.

GstDiscovererStreamInfo* Gst::DiscovererStreamInfo::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::MiniObject.

Reimplemented in Gst::DiscovererContainerInfo, Gst::DiscovererAudioInfo, and Gst::DiscovererVideoInfo.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererStreamInfo > wrap | ( | GstDiscovererStreamInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

Parameters:

  object | The C instance
  take_copy | false if the result should take ownership of the C instance. true if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h